Xerces-C++: SAX2XMLFilter Class Reference

Xerces-C++ 3.2.1

List of all members
SAX2XMLFilter Class Referenceabstract
Inheritance diagram for SAX2XMLFilter:

## Public Member Functions
Constructors and Destructor
| SAX2XMLFilter ()
| The default constructor. More...
virtual | ~SAX2XMLFilter ()
| The destructor. More...
Implementation of SAX 2.0 XMLFilter interface's.
virtual SAX2XMLReader * | getParent () const =0
| This method returns the parent XMLReader object. More...
virtual void | setParent (SAX2XMLReader *parent)=0
| Sets the parent XMLReader object; parse requests will be forwarded to this object, and callback notifications coming from it will be postprocessed. More...
Public Member Functions inherited from SAX2XMLReader
| SAX2XMLReader ()
| The default constructor. More...
virtual | ~SAX2XMLReader ()
| The destructor. More...
virtual ContentHandler * | getContentHandler () const =0
| This method returns the installed content handler. More...
virtual DTDHandler * | getDTDHandler () const =0
| This method returns the installed DTD handler. More...
virtual EntityResolver * | getEntityResolver () const =0
| This method returns the installed entity resolver. More...
virtual ErrorHandler * | getErrorHandler () const =0
| This method returns the installed error handler. More...
virtual bool | getFeature (const XMLCh *const name) const =0
| Query the current state of any feature in a SAX2 XMLReader. More...
virtual void * | getProperty (const XMLCh *const name) const =0
| Query the current value of a property in a SAX2 XMLReader. More...
virtual void | setContentHandler (ContentHandler *const handler)=0
| Allow an application to register a document event handler. More...
virtual void | setDTDHandler (DTDHandler *const handler)=0
| Allow an application to register a DTD event handler. More...
virtual void | setEntityResolver (EntityResolver *const resolver)=0
| Allow an application to register a custom entity resolver. More...
virtual void | setErrorHandler (ErrorHandler *const handler)=0
| Allow an application to register an error event handler. More...
virtual void | setFeature (const XMLCh *const name, const bool value)=0
| Set the state of any feature in a SAX2 XMLReader. More...
virtual void | setProperty (const XMLCh *const name, void *value)=0
| Set the value of any property in a SAX2 XMLReader. More...
virtual void | parse (const InputSource &source)=0
| Parse an XML document. More...
virtual void | parse (const XMLCh *const systemId)=0
| Parse an XML document from a system identifier (URI). More...
virtual void | parse (const char *const systemId)=0
| Parse an XML document from a system identifier (URI). More...
virtual DeclHandler * | getDeclarationHandler () const =0
| This method returns the installed declaration handler. More...
virtual LexicalHandler * | getLexicalHandler () const =0
| This method returns the installed lexical handler. More...
virtual void | setDeclarationHandler (DeclHandler *const handler)=0
| Allow an application to register a declaration event handler. More...
virtual void | setLexicalHandler (LexicalHandler *const handler)=0
| Allow an application to register a lexical event handler. More...
virtual XMLValidator * | getValidator () const =0
| This method is used to get the current validator. More...
virtual XMLSize_t | getErrorCount () const =0
| Get error count from the last parse operation. More...
virtual bool | getExitOnFirstFatalError () const =0
| This method returns the state of the parser's exit-on-First-Fatal-Error flag. More...
virtual bool | getValidationConstraintFatal () const =0
| This method returns the state of the parser's validation-constraint-fatal flag. More...
virtual Grammar * | getGrammar (const XMLCh *const nameSpaceKey)=0
| Retrieve the grammar that is associated with the specified namespace key. More...
virtual Grammar * | getRootGrammar ()=0
| Retrieve the grammar where the root element is declared. More...
virtual const XMLCh * | getURIText (unsigned int uriId) const =0
| Returns the string corresponding to a URI id from the URI string pool. More...
virtual XMLFilePos | getSrcOffset () const =0
| Returns the current src offset within the input source. More...
virtual void | setValidator (XMLValidator *valueToAdopt)=0
| This method is used to set a validator. More...
virtual void | setExitOnFirstFatalError (const bool newState)=0
| This method allows users to set the parser's behaviour when it encounters the first fatal error. More...
virtual void | setValidationConstraintFatal (const bool newState)=0
| This method allows users to set the parser's behaviour when it encounters a validation constraint error. More...
virtual bool | parseFirst (const XMLCh *const systemId, XMLPScanToken &toFill)=0
| Begin a progressive parse operation. More...
virtual bool | parseFirst (const char *const systemId, XMLPScanToken &toFill)=0
| Begin a progressive parse operation. More...
virtual bool | parseFirst (const InputSource &source, XMLPScanToken &toFill)=0
| Begin a progressive parse operation. More...
virtual bool | parseNext (XMLPScanToken &token)=0
| Continue a progressive parse operation. More...
virtual void | parseReset (XMLPScanToken &token)=0
| Reset the parser after a progressive parse. More...
virtual Grammar * | loadGrammar (const InputSource &source, const Grammar::GrammarType grammarType, const bool toCache=false)=0
| Preparse schema grammar (XML Schema, DTD, etc.) via an input source object. More...
virtual Grammar * | loadGrammar (const XMLCh *const systemId, const Grammar::GrammarType grammarType, const bool toCache=false)=0
| Preparse schema grammar (XML Schema, DTD, etc.) via a file path or URL. More...
virtual Grammar * | loadGrammar (const char *const systemId, const Grammar::GrammarType grammarType, const bool toCache=false)=0
| Preparse schema grammar (XML Schema, DTD, etc.) via a file path or URL. More...
virtual void | resetCachedGrammarPool ()=0
| Clear the cached grammar pool. More...
virtual void | setInputBufferSize (const XMLSize_t bufferSize)
| Set maximum input buffer size. More...
virtual void | installAdvDocHandler (XMLDocumentHandler *const toInstall)=0
| This method installs the specified 'advanced' document callback handler, thereby allowing the user to customize the processing, if they choose to do so. More...
virtual bool | removeAdvDocHandler (XMLDocumentHandler *const toRemove)=0
| This method removes the 'advanced' document handler callback from the underlying parser scanner. More...

## Additional Inherited Members
Public Types inherited from SAX2XMLReader
enum | ValSchemes { Val_Never, Val_Always, Val_Auto }
| ValScheme enum used in setValidationScheme Val_Never: Do not report validation errors. More...

## Constructor & Destructor Documentation

## ◆ SAX2XMLFilter()

SAX2XMLFilter::SAX2XMLFilter | ( |  | ) |

The default constructor.

## ◆ ~SAX2XMLFilter()

virtual SAX2XMLFilter::~SAX2XMLFilter | ( |  | ) |
| virtual

The destructor.

References XERCES_CPP_NAMESPACE_END.

## Member Function Documentation

## ◆ getParent()

virtual SAX2XMLReader* SAX2XMLFilter::getParent | ( |  | ) | const
| pure virtual

This method returns the parent XMLReader object.

Returns
  A pointer to the parent XMLReader object.

## ◆ setParent()

virtual void SAX2XMLFilter::setParent | ( | SAX2XMLReader * | parent | ) |
| pure virtual

Sets the parent XMLReader object; parse requests will be forwarded to this object, and callback notifications coming from it will be postprocessed.

Parameters

  parent | The new XMLReader parent.

See also
  SAX2XMLReader::SAX2XMLReader

The documentation for this class was generated from the following file:

- SAX2XMLFilter.hpp